
function clAfterLoad()
{
	list.AfterLoad = naklAfterLoad;
}

function naklAfterLoad()
{
	if(list.tbl.isEmpty())
		loadNaklVid();
}

function clMenuInit(sMenuID)
{
	this.dataSrc.AddMenuItem("LOADNAKLVID", "Завантажити стандартні коди|Загрузить стандартные коды");
	this.dataSrc.AddMenuItem("", "");
}

function clMenuHandler(sMenuID)
{
	if(sMenuID=="LOADNAKLVID")
	{
		loadNaklVid();
	}
}

function loadNaklVid()
{
	WAIT(UR("Завантаження видів . . .|Загрузка видов . . . "));
	include("Objects/DpClEx.js");
	addNaklCl("ПНП", UR("податкова накладна (паперовий варіант)|налоговая накладная (печатный вариант)"));
	addNaklCl("ПНЕ", UR("податкова накладна (електронний варіант)|налоговая накладная (электронный вариант)"));
	addNaklCl("ПНПУ", UR("податкова накладна уточнююча (паперовий варіант)|налоговая накладная уточняющая (печатный вариант)"));
	addNaklCl("ПНЕУ", UR("податкова накладна уточнююча (електронний варіант)|налоговая накладная уточняющая (электронный вариант)"));
	addNaklCl("РКП", UR("розрахунок коригування (паперовий варіант)|расчет корректировки (печатный вариант)"));
	addNaklCl("РКЕ", UR("розрахунок коригування (електронний варіант)|расчет корректировки (электронный вариант)"));
	addNaklCl("МДП", UR("митна декларація (паперовий варіант)|таможенная декларация (печатный вариант)"));
	addNaklCl("МДЕ", UR("митна декларація (електронний варіант)|таможенная декларация (электронный вариант)"));
	addNaklCl("БО", UR("документ бухгалтерського обліку|документ бухгалтерского учета"));
	addNaklCl("ПП", UR("за щоден.підсумками|по ежедн.итогам"));
	addNaklCl("ЗЦ", UR("перевищ.звич.ціни|превышение цены"));
	addNaklCl("ЧК", UR("товарний (касовий) чек|товарный (кассовый) чек"));
	addNaklCl("ТК", UR("транспортний квиток|транспортный билет"));
	addNaklCl("ГР", UR("готельний рахунок|отельный счет"));
	addNaklCl("ПЗ", UR("рахунок на послуги зв'язку|счет за услуги связи"));
	addNaklCl("ПО", UR("послуги|услуги"));
	addNaklCl("ЗП", UR("заява платника|заявление плательщика"));
	addNaklCl("НП", UR("придбання товарів/послуг у неплатників ПДВ|приобретение товаров/услуг у неплательщиков НДС"));
	addNaklCl("ПНР", UR("под.накл.по якій проведено розподіл суми податкового кредиту|нал.накл.по которой проведено розпределение суммы налогового кредита"));
	//addNaklCl(" ", UR("інше|другое"));
	list.tbl.requery();
	list.grid.refresh();
	CLEARWAIT();
}

function addNaklCl(sCod, sTxt)
{
	var nCl = list.Fcl;
	var oSnap = getSnap("select FWID from ^LISTCL where FCL="+ nCl +" and FTCOD="+ sqlTo(sCod));
	if(oSnap)
		return null;
	var oCL = new DpClEx(list.classID, nCl);
	var codCL = oCL.nextcod(nCl);
	oCL.setVar("HCOD", codCL);
	oCL.setVar("HTCOD", sCod);
	oCL.setVar("HOUTID", sCod);
	oCL.setVar("HTXT", sTxt);
	oCL.setVar("HISGRP", false);
	oCL.setVar("HGRPCOD", 0);
	oCL.save("ADD", true);
	return oCL;
}
