include("Objects\\DpVal.js");
include("Objects\\DpCl.js");
include("sys\\mask.js");
include("Objects\\DpSc.js");
include("Objects\\DpCtrlLinker.js");
include("doc\\DpDoc.js");
include("Objects\\DpDocPar.js")
include("Objects/DpXMLDomDocument.js");
include("sys\\cbox.js");
include("sys\\docinfo.js");

var edmode, t;
var cod_plat;
var oVal, oOrg, oSc, oRem;
var objDoc = extPar.doc;
var ctrlLinker = null;
var tbl, m_fwid;
var mFnop;
var baseDoc = "";
var baseNop = 0;
var cFid_doc = 0;
var pnt = FORM.getControlComposite();

var oBaseDoc;
var m_SumName = "FSUM"; //Поле для суммы
var m_NdsName = "FNDS"; //Поле для НДС
var tDoc;

function Load()
{
	edmode = extPar.mode;

	mFdoc  = "NN";
	mFnop  = (edmode=="ADD"? objDoc.nNop : objDoc.getVar("HOP"));
	if(typeof NOP_COMBO != "undefined")
	{
		NOP_COMBO.setValue(mFnop);
	}

	HSUM_20.mask = HSUM_00.mask = HSUM_A0.mask = HSUM_E0.mask
				= SUM.mask = HNDS.mask = NDS.mask
				= MASK_SUM;

	var aOpForms = getPar("rgopfrms").split(",");
	for(var i=0; i < aOpForms.length; i++)
	{
		ComboBox_AddItem(HOP_FORM, aOpForms[i], aOpForms[i]);
	}

	//HVID_DOC.setValue(2);

	ctrlLinker = new DpCtrlLinker(objDoc);

	cod_plat = objDoc.getPar("__nsan");
	oOrg = new DpCl("");
	oOrg.setClcl(cod_plat);
	oOrg.linkSmartCtrl(HORG);
	oOrg.setContAssist();

	cod_reason = objDoc.getPar("_reason");
	oRem = new DpCl("0");
	mode = "0";
	oRem.setMode(mode);
	oRem.setClcl(cod_reason);
	oRem.linkSmartCtrl(HCODREM);

	ctrlLinker.addLink("HNOM",HNOM);
	ctrlLinker.addLink("HDAT",HDAT);
	ctrlLinker.addClLink("HORG",oOrg);
	ctrlLinker.addClLink("HCODREM",oRem);
	ctrlLinker.addLink("HOP_FORM",HOP_FORM);
	ctrlLinker.addLink("HVID_DOC", HVID_DOC);
	ctrlLinker.addLink("HOPER_TYPE",FOPER_TYPE);
	ctrlLinker.addLink("HCOND",	  HCOND);
	ctrlLinker.addLink("HTYPENDS", TYPENDS);
	ctrlLinker.addLink("HNOHOZ", NOHOZ);
	ctrlLinker.addLink("HOP_DATE",HOP_DATE);
	ctrlLinker.addLink("HSUM_20",HSUM_20);
	ctrlLinker.addLink("HSUM_00",HSUM_00);
	ctrlLinker.addLink("HSUM_A0",HSUM_A0);
	ctrlLinker.addLink("HSUM_E0",HSUM_E0);
	ctrlLinker.addLink("HNDS",HNDS);
	ctrlLinker.addLink("HVYP_DATE", HVYP_DATE);
	ctrlLinker.addLink("HREM", HREM);
	ctrlLinker.addLink("HISSPECIFYING", HISSPECIFYING);
	ctrlLinker.addLink("HCORNOM", FCORNOM);
	ctrlLinker.addLink("HCORDAT", FCORDAT);

	ctrlLinker.updateData(false);

	m_zntbl = false;

	if (extPar.isTransform && !objDoc.getVar("HOP_FORM"))
	{
		ComboBox_SetIndex(HOP_FORM,0);
	}
	if(edmode != "ADD" || extPar.isTransform || extPar.idtmpl)
	{
		baseDoc = objDoc.getVar("HBASEDOC");
		baseNop = objDoc.getVar("HBASENOP");
		cFid_doc= objDoc.getVar("HID_DOC");
		/*
		if(objDoc.getVar("HISSPECIFYING") == true)
		{
			makeItems4DocType("U", mFdoc);
		}
		else
		{
			makeItems4DocType("", mFdoc);
		}
		HVID_DOC.setValue(getValue4Ctrl_Doc_type(objDoc.getVar("HVID_DOC")));
		CORR.setVisible(inList(getValue4Doc_type(HVID_DOC.getValue()), "РК", "РКП", "РКЕ", "РКУ", "РКПУ", "РКЕУ"));
		*/ 
	}
	else
	{
		ComboBox_SetIndex(HOP_FORM,0);

		if(extPar.fid_doc)
		{
			baseDoc = extPar.fbase_doc;
			baseNop = extPar.fbase_nop;
			cFid_doc = extPar.fid_doc;

			include("doc/DpDoc.js");
			oBaseDoc = new DpDoc(baseDoc, baseNop);
			oBaseDoc.loadByID(extPar.fid_doc);

			oOrg.setCod(oBaseDoc.getVar(oBaseDoc.getAttr("FLDORG")));
			HDAT.value = oBaseDoc.getVar("HDAT");
			/*
			var nReg = tdc('REG-','', baseDoc, baseNop, cFid_doc);
			if(nReg)
			{
				HSUM_20.value = oBaseDoc.eval("jr('" + nReg + "', 'V2HTP20 + V2HDP20 + V2HTV20 + V2HDV20')");
				HSUM_00.value = oBaseDoc.eval("jr('" + nReg + "', 'V2HTPIMT + V2HDPIMT + V2HTVIMT + V2HDVIMT')");
				HSUM_E0.value = oBaseDoc.eval("jr('" + nReg + "', 'V2HTP000 + V2HDP000 + V2HTV000 + V2HDV000')");
				HSUM_A0.value = oBaseDoc.eval("jr('" + nReg + "', 'V2HTPIMV + V2HDPIMV + V2HTVIMV + V2HDVIMV')");
				HNDS.value = oBaseDoc.eval("jr('" + nReg + "', 'V2HTPNDS')");
				recalcSum();
			}
			*/
			tDoc = OpenTable(
				"SELECT *"
				+ " FROM " + docinfo("HFILE", toScrObj(baseDoc))
				+ " WHERE fwid=" + sqlTo(cFid_doc)
				)

			getSumOnReg();
			
			if(extPar.fnop && (!mFnop || mFnop==0))
			{
				mFnop = extPar.fnop;

				objDoc.setVar("HOP", mFnop);
				if(typeof NOP_COMBO != "undefined")
				{
					NOP_COMBO.setValue(mFnop);
				}
			}

			if(extPar.forg)
				oOrg.setCod(extPar.forg);
			if(extPar.fdat)
				HDAT.value = extPar.fdat;
			if(extPar.fcond)
				HCOND.value = extPar.fcond;
			CLEARWAIT();
		}
		else
		{
			HNOM.value = "";
			HDAT.value = new Date().getVarDate();
			if(extPar.forg)
				oOrg.setCod(extPar.forg);
		}
		objDoc.setVar("HCOR_ID_DOC", 0);
		objDoc.setVar("HCORNOM", 0);
		objDoc.setVar("HCORDAT", d00);

		// прочитаем параметры папки
		ndsproc = Number(objDoc.getPar("_ndsproc"));
		nohoz = objDoc.getPar("_nohoz");
		hisspecifying = objDoc.getPar("_hisspecifying");
		iscor = objDoc.getPar("_iscor");

		TYPENDS.setValue(!isEmpty(ndsproc) ? 0 : 1);
		NOHOZ.setValue(nohoz);
		HISSPECIFYING.setValue(hisspecifying);
		HISSPECIFYING.setValue(hisspecifying);
		CORR.setVisible(iscor);
	}

	setFocus(HNOM);

	Disable(SUM);
	Disable(NDS);
	setValid(HDAT, mFdoc_dat_Valid);
	setValid(HSUM_20, recalcSum);
	setValid(HSUM_00, recalcSum);
	setValid(HSUM_A0, recalcSum);
	setValid(HSUM_E0, recalcSum);
	setValid(HNDS, recalcSum);
	//setValid(HISCOR, isCoreg_valid);
	setValid(HVID_DOC, HVID_DOC_valid);
	setValid(HISSPECIFYING, HISSPECIFYING_valid);
	setValid(FCORDAT, FCORDAT_valid);
	setValid(HCODREM, HCODREM_valid)
	//HISSPECIFYING_valid();
	HVID_DOC_valid();
	
	setButton(HVID_DOC, this, "vidNaklZaval");
	if(extPar.mode=="ADD")
		HVID_DOC.value = "ПНП";

	this.fillCond = fillCond;
	this.selectDoc = selectDoc;
	setButton(HCOND, this, "fillCond");
	setButton(FCORDOC, this, "selectDoc");
	FCORDOC.getBtn().setToolTipText(ru("Выбрать документ","Обрати документ"));

	recalcSum();
	return;
}

var escape;

function HISSPECIFYING_valid()
{
	/*
	//при перерисовке контрола убивается его значение поэтому нужно его запомнить
	var controlValue = (isEmpty(HVID_DOC.value) ? 1 : Number(HVID_DOC.value));
	for (;HVID_DOC.getLength()>0;)
	{
		HVID_DOC.remove(0);
	}

	//признак того что после перерисовки контрола будут другие значения
	var isRedraw = false;

	if(HISSPECIFYING.checked)
	{
		makeItems4DocType("U");
		if(controlValue < 100)
		{
			isRedraw = true;
		}
	}
	else
	{
		makeItems4DocType("");
		if(controlValue > 100)
		{
			isRedraw = true
		}
	}

	if(isRedraw)
	{
		controlValue = (controlValue > 100 ? controlValue - 100 : controlValue +100) ;
	}

	HVID_DOC.setValue(controlValue);
	*/
	var sVidDoc = String(HVID_DOC.value).trim().toUpperCase();
	if(sVidDoc.right(1)=="У")
		sVidDoc = sVidDoc.substring(0, sVidDoc.length-1);
	if(HISSPECIFYING.checked)
		sVidDoc += "У";
	HVID_DOC.setValue(sVidDoc);
	return true;
}

function mFdoc_dat_Valid()
{
	return differ(HDAT.value, d00);
}

var confirmedSumSNDS = 0;

function recalcSum()
{
	var sumNDS = round(HSUM_20.value * 0.2, 2);
	
	if(HNDS.value==0)
		HNDS.value = sumNDS;
	// Если сумма НДС не совпадает с расчетной
	else if (HNDS.value != sumNDS && confirmedSumSNDS!=HSUM_20.value + HNDS.value)
	{
		if (confirm(ru(
			"Сумма НДС (" + HNDS.value + ") не соответствует 20% от суммы без НДС (" + HSUM_20.value + ")"
				+ "\nПривести сумму НДС в соответсвие (" + format("0.00", sumNDS) + ")?",
			"Сума ПДВ (" + HNDS.value + ") не відповідає 20% від суми без ПДВ (" + HSUM_20.value + ")"
				+ "\nПривести суму ПДВ у відповідність (" + format("0.00", sumNDS) + ")?"
			)))
		{
			HNDS.value = sumNDS;
		}
		else
		{
			// в случае отказа запоминаем данную сумму, чтобы повторно не задавать вопрос
			confirmedSumSNDS = HSUM_20.value + HNDS.value;
		}	
	}

	NDS.value = HNDS.value;
	SUM.value = Number(HSUM_20.value)
			  + Number(HSUM_00.value)
			  + Number(HSUM_A0.value)
			  + Number(HSUM_E0.value);
}

function fillCond()
{
	var sCond = ru("№ ","№ ");
	var sCond1 = ru(" від "," від ");
	var par = new Object();
	par.doc = objDoc.getPar("_conddoc");
	par.nop = 0;
	par.FORG = oOrg.getCod();
	par.ret = new Object();
	par.ret.Fdoc_num = null;
	par.ret.Fdoc_dat = null;
	showWindow("l_docekz.xml", SW_MODAL, par);
	if(!par.escape)
		HCOND.value = sCond + par.ret.Fdoc_num + sCond1 + StrDat(par.ret.Fdoc_dat, "DMY");
}

function selectDoc()
{
	var par = new Object();
	par.doc = "NN";
	par.nop = 0;
	par.FORG = oOrg.getCod();
	par.isZaval = true;
	par.ret = new Object();
	par.ret.fwid = null;
	par.ret.Fdoc_num = null;
	par.ret.Fdoc_dat = null;
	showWindow("l_docekz.xml", SW_MODAL, par);
	if(!par.escape)
	{
		FCORNOM.value = par.ret.Fdoc_num;
		FCORDAT.value = par.ret.Fdoc_dat;
		objDoc.setVar("HCOR_ID_DOC", par.ret.fwid);
	}
}

function onSave()
{
	ctrlLinker.updateData(true);

	//fruckt
	//не сохраняет значение из заголовка документа
	//objDoc.setVar("HOP", mFnop);

	objDoc.setVar("HBASEDOC", baseDoc);
	objDoc.setVar("HBASENOP", baseNop);
	objDoc.setVar("HID_DOC", cFid_doc);
	//objDoc.setVar("HVID_DOC", getValue4Doc_type(HVID_DOC.getValue()));
}

function onChangeNop()
{
	objDoc = extPar.doc;

	var nCod = oOrg.getCod();
	cod_plat = objDoc.getPar("__nsan");
	oOrg.setClcl(cod_plat);
	oOrg.setCod(nCod);
}

function FCORDAT_valid()
{
	var isCoreg = isCorrectVid();
	if (isCoreg && isEmpty(FCORDAT.getValue()))
	{
		WAIT(ru("Введите дату корректируемого документа", "Введіть дату документа, який коригується"));
		return false;
	}
	return true;
}

function HCODREM_valid()
{
	if(!isEmpty(oRem.getCod()))
	{
		HREM.setValue(oRem.getTxt());
	}
}
function HVID_DOC_valid()
{
	isCoreg = isCorrectVid();
	CORR.setVisible(isCoreg);

	if (isCoreg)
	{
		oRem.setMode("");
	}

	if(!isCoreg && isSaving())
	{
		// если это не корректировка, то сбросим значения контролов корректировки
		FCORNOM.setValue("");
		FCORDAT.setValue(d00);
		oRem.setMode("0");
		oRem.setCod(0);
	}


	pnt.pack();
	pnt.getShell().pack();
	pnt.redraw();
	pnt.layout(true);
	HISSPECIFYING_valid();
	return true;
}

function isCorrectVid()
{
	return String(HVID_DOC.value).trim().toUpperCase().left(2)=="РК";
}

/*выпадающий список "Вид документа" для документа NN*/
var comboDOC_TYPE_NN = new Array();
comboDOC_TYPE_NN[1] = new Array("ПН", UR("ПН - податкова накладна|ПН - налоговая накладная"));
comboDOC_TYPE_NN[2] = new Array("ПНП", UR(" ПНП - податкова накладна (паперовий варіант)| ПНП - налоговая накладная (печатный вариант)"));
comboDOC_TYPE_NN[3] = new Array("ПНЕ", UR(" ПНЕ - податкова накладна (електронний варіант)| ПНЕ - налоговая накладная (электронный вариант)"));
comboDOC_TYPE_NN[4] = new Array("ВМД", UR("ВМД - вантажно митна декларація|ВМД - погрузочно таможенная декларация"));
comboDOC_TYPE_NN[5] = new Array("МДП", UR(" МДП - митна декларація (паперовий варіант)| МДП - таможенная декларация (печатный вариант)"));
comboDOC_TYPE_NN[6] = new Array("МДЕ", UR(" МДЕ - митна декларація (електронний варіант)| МДЕ - таможенная декларация (электронный вариант)"));
comboDOC_TYPE_NN[7] = new Array("ЧК", UR("ЧК - товарний (касовий) чек|ЧК - товарный (кассовый) чек"));
comboDOC_TYPE_NN[8] = new Array("ТК", UR("ТК - транспортний квиток|ТК - транспортный билет"));
comboDOC_TYPE_NN[9] = new Array("ГР", UR("ГР - готельний рахунок|ГР - отельный счет"));
comboDOC_TYPE_NN[10] = new Array("ПЗ", UR("ПЗ - рахунок на послуги зв'язку|за услуги связи"));
comboDOC_TYPE_NN[11] = new Array("ПО", UR("ПО - послуги|ПО - услуги"));
comboDOC_TYPE_NN[12] = new Array("ЗП", UR("ЗП - заява платника|ЗП - заявление плательщика"));
comboDOC_TYPE_NN[13] = new Array("РК", UR("РК - розрахунок коригування|РК - расчет корректировки"));
comboDOC_TYPE_NN[14] = new Array("РКП", UR(" РКП - розрахунок коригування (паперовий варіант)| РКП - расчет корректировки (печатный вариант)"));
comboDOC_TYPE_NN[15] = new Array("РКЕ", UR(" РКЕ - розрахунок коригування (електронний варіант)| РКЕ - расчет корректировки (электронный вариант)"));
comboDOC_TYPE_NN[16] = new Array("НП", UR("НП - придбання товарів/послуг у неплатників ПДВ|НП - приобретение товаров/услуг у неплательщиков НДС"));
comboDOC_TYPE_NN[17] = new Array("ПНР", UR("ПНР - под.накл.по якій проведено розподіл суми податкового кредиту|ПНР - нал.накл.по которой проведено розпределение суммы налогового кредита"));
comboDOC_TYPE_NN[18] = new Array("БО", UR("БО - документ бухгалтерського обліку|БО - документ бухгалтерского учета"));
comboDOC_TYPE_NN[19] = new Array(" ", UR("інше|другое"));

/*такие же с буквой У для "Уточнюючої"*/
comboDOC_TYPE_NN[101] = new Array("ПНУ", UR("ПНУ - податкова накладна|ПНУ - налоговая накладная"));
comboDOC_TYPE_NN[102] = new Array("ПНПУ", UR("ПНПУ - податкова накладна (паперовий варіант)|ПНПУ - налоговая накладная (печатный вариант)"));
comboDOC_TYPE_NN[103] = new Array("ПНЕУ", UR("ПНЕУ - податкова накладна (електронний варіант)|ПНЕУ - налоговая накладная (электронный вариант)"));
comboDOC_TYPE_NN[104] = new Array("ВДМУ", UR("ВДМУ - вантажно митна декларація|ВДМУ - погрузочно таможенная декларация"));
comboDOC_TYPE_NN[105] = new Array("МДПУ", UR("МДПУ - вантажно митна декларація (паперовий варіант)|МДПУ - погрузочно таможенная декларация (печатный вариант)"));
comboDOC_TYPE_NN[106] = new Array("МДЕУ", UR("МДЕУ - вантажно митна декларація (електронний варіант)|МДЕУ - погрузочно таможенная декларация (электронный вариант)"));
comboDOC_TYPE_NN[107] = new Array("ЧКУ", "ЧКУ - товарний (касовий) чек");
comboDOC_TYPE_NN[108] = new Array("ТКУ", "ТКУ - транспортний квиток");
comboDOC_TYPE_NN[109] = new Array("ГРУ", "ГРУ - готельний рахунок");
comboDOC_TYPE_NN[110] = new Array("ПЗУ", "ПЗУ - рахунок на послуги зв'язку");
comboDOC_TYPE_NN[111] = new Array("ПОУ", "ПОУ - послуги");
comboDOC_TYPE_NN[112] = new Array("ЗПУ", "ЗПУ - заява платника");
comboDOC_TYPE_NN[113] = new Array("РКУ", UR("РКУ - розрахунок коригування|РКУ - расчет корректировки"));
comboDOC_TYPE_NN[114] = new Array("РКПУ", UR("РКПУ - розрахунок коригування (паперовий варіант)|РКПУ - расчет корректировки (печатный вариант)"));
comboDOC_TYPE_NN[115] = new Array("РКЕУ", UR("РКЕУ - розрахунок коригування (електронний варіант)|РКЕУ - расчет корректировки (электронный вариант)"));
comboDOC_TYPE_NN[116] = new Array("НПУ", "НПУ - придбання товарів/послуг у неплатників ПДВ");
comboDOC_TYPE_NN[117] = new Array("ПНРУ", "ПНРУ - под.накл.по якій проведено розподіл суми податкового кредиту");
comboDOC_TYPE_NN[118] = new Array("БОУ", "БОУ - документ бухгалтерського обліку");
comboDOC_TYPE_NN[119] = new Array(" ", UR("інше|другое"));

//считает длину масива
//потому как для нашего масива метод length возвращает 106 вместо 10
function getArrLenght(arr)
{
	var k=0;
	for(i in arr)
	{
		k++;
	}
	return k;
}

//формирует cpmboBox для HVID_DOC
function makeItems4DocType(mode)
{
	var k=1;
	var i = 0;
	switch (mode)
	{
		case "U":
			//начинаем с 101
			i = 101;
			break;

		default:
			//начинаем с 1
			i = 1;
			break;
	}

	arr = comboDOC_TYPE_NN;

	var arrLength = getArrLenght(arr);
	while(k <= arrLength/2)
	{
		if(!arr[i])
			break;
		ComboBox_AddItem(HVID_DOC, arr[i][1], i);
		k++;
		i++;
	}

	return true;
}

//возвращает текстовку по коду для поля HVID_DOC
function getValue4Doc_type(cod)
{
	var retVal = "";
	arr = comboDOC_TYPE_NN;
	cod = parseInt(cod, 10);
	for(i in arr)
	{
		if(i == cod)
		{
			retVal = arr[i][0];
			break;
		}
	}
	return retVal;
}

function getValue4Ctrl_Doc_type(val)
{
	var retVal = 0;
	arr = comboDOC_TYPE_NN;
	for(i in arr)
	{
		if(arr[i][0] == val)
		{
			retVal = i;
			break;
		}
	}
	return parseInt(retVal, 10);
}

function getSumOnReg()
{
	useReg = Number(objDoc.getPar("_usereg"));
	if (useReg == 0)
	{
		include("sys\\udfs.js");
		var nReg = tdc('REG-','', baseDoc, baseNop, cFid_doc);

		if(nReg)
		{
			HSUM_20.value = oBaseDoc.eval("jr('" + nReg + "', 'V2HTP20 + V2HDP20 + V2HTV20 + V2HDV20')");
			HSUM_00.value = oBaseDoc.eval("jr('" + nReg + "', 'V2HTPIMT + V2HDPIMT + V2HTVIMT + V2HDVIMT')");
			HSUM_E0.value = oBaseDoc.eval("jr('" + nReg + "', 'V2HTP000 + V2HDP000 + V2HTV000 + V2HDV000')");
			HSUM_A0.value = oBaseDoc.eval("jr('" + nReg + "', 'V2HTPIMV + V2HDPIMV + V2HTVIMV + V2HDVIMV')");
			HNDS.value = oBaseDoc.eval("jr('" + nReg + "', 'V2HTPNDS')");
		}
	}
	else
	{
		//Исключение
		switch (extPar.fbase_doc)
		{
			case "BS":
				m_NdsName = "FSUM1"
			break;
		}

		var nSumNds = 0;
		if (tDoc.isField(m_NdsName))
		{
			nSumNds = tDoc.getValue(m_NdsName);
		}

		var nSum  = 0;

		if (tDoc.isField(m_SumName))
		{
			nSum  = tDoc.getValue(m_SumName);
		}

		HNDS.setValue(nSumNds);

		if (nSumNds == 0)
		{
			HSUM_A0.setValue(nSum);
			HSUM_20.setValue(0);
		}
		else
		{
			//vvs В бухсправках, и доках банковских операций PP, PV, CP, CR
			// сумма - это сумма с НДС (в основном)
			if(extPar.fbase_doc == "BS"
				||extPar.fbase_doc == "PP"
				||extPar.fbase_doc == "PV"
				||extPar.fbase_doc == "CP"
				||extPar.fbase_doc == "CR")
			{
				nSum = nSum-nSumNds
			}

			HSUM_20.setValue(nSum);
			HSUM_A0.setValue(0);
		}

		if(extPar.fbase_doc == "PP" || extPar.fbase_doc == "CR")
			HOP_DATE.value = tDoc.getValue("FDOC_DAT");
	
		HSUM_E0.setValue(0);
		HSUM_00.setValue(0);
	}
	recalcSum();
}

include("sys\\DpBaseDlg.js");