include ("Objects\\DpGetDat.js");
include("Objects\\DpXMLDomDocument.js");

var m_Doclabel = this.m_Doclabel;
var m_Nop = this.m_Nop;
if(!m_Doclabel && extPar.doc)
{
	m_Doclabel = extPar.doc;	
	m_Nop = extPar.nop;
}

var aOper_type = [];	

function docSrc()
{		
	//параметр тип операции
	//читаем XML и пишем в масив для грида list.xml
	var oXML = new DpXMLDOMDocument();
	oXML.load(rootDirectory()+"enums/oper_type.xml");
	var root = oXML.getDocumentElement();	
	var xmlRow = root.getChildNodes();
	for (var i in xmlRow)
	{
		aOper_type[String(xmlRow[i].getAttribute("value"))] = UR(xmlRow[i].getText());
	}
	
	var sWhere = "";
	if(extPar.ffid_doc)
	{		
		sWhere = "fid_doc="+ sqlTo(extPar.ffid_doc);
		
		this.qrySet("From","^LISTDOCSNN",
				"Where", sWhere, 		  
				"Order","Fdoc_num, Fdoc_dat");
		return true;
	}
	if(this.docList.buildQuery())
	{
		this.docList.subTie();			
		return true;
	}
	return false;
}

function listInitEditParam(oPar)
{
	oPar.fid_doc   = extPar.ffid_doc;
	oPar.fbase_doc = extPar.fbase_doc;
	oPar.fbase_nop = extPar.fbase_nop;
	oPar.doc 	   = extPar.doc;
	oPar.fnop 	   = extPar.fnop;
	oPar.forg 	   = extPar.forg;
	oPar.fdat 	   = extPar.fdat;
}

function docMenuInit()
{
	var ds1 = this.dataSrc;
	if(!ds1.getTable().isEmpty())
	{
		ds1.AddMenuItem("", "");		
		//ds1.AddMenuItem("RNNP_R", "Реєстр отриманих податкових|Реестр полученных налоговых");
		ds1.AddMenuItem("J_NN", "Реєстр отриманих податкових|Реестр полученных налоговых");
		ds1.AddMenuItem("CHK2NN", "Перевірка здвоєних накладних|Проверка сдвоенных накладных");		
		ds1.AddMenuItem("CHEK20","Контроль 20% ПДВ|Контроль 20% НДС");
	}
}

function docServiceMenuInit()
{
	var ds1 = this.dataSrc;
	if(!ds1.getTable().isEmpty())
	{
		var selCnt = list.grid.getSelectedCount();
		if(selCnt>0)
		{
			ds1.AddMenuItem("SETNEWVIDP", "Проставити новий тип паперової накладної для відмічених ("+ selCnt +")|Проставить новый тип печатной накладной для отмеченных ("+ selCnt +")");
			ds1.AddMenuItem("SETNEWVIDE", "Проставити новий тип електронної накладної для відмічених ("+ selCnt +")|Проставить новый тип электронной накладной для отмеченных ("+ selCnt +")");
			ds1.AddMenuItem("", "");
		}
	}
}

function docMenuHandler(nID)
{		
	var ds1 = this.dataSrc;
	var tbl = this.dataSrc.getTable();	
			
	if (nID == "CHEK20")
	{
		par  = new Object();
		par.fdoc	= extPar.doc;
		par.fnop	= extPar.nop;		
		
		//fruckt
		//par.bdat	= getPar("GLOBDAT1");
		//par.edat	= getPar("GLOBDAT2");
		par.bdat	= toScrObj(DATB.getValue());
		par.edat	= toScrObj(DATE.getValue());;
		
		par.hTbl	= "HNN";
		showWindow("check_20NDS.js", SW_NOMODAL, par);
	}
	if(nID=="CHK2NN")
	{
		par  = new Object();
		par.fdoc	= extPar.doc;
		par.fnop	= extPar.nop;
		
		//fruckt
		//par.bdat	= getPar("GLOBDAT1");
		//par.edat	= getPar("GLOBDAT2");
		par.bdat	= toScrObj(DATB.getValue());
		par.edat	= toScrObj(DATE.getValue());;
		
		par.hTbl	= "^HNN";
		showWindow("l_chk2NN.js", SW_NOMODAL, par); 
	}
	if(nID == "RNNP")
	{
		var oPar = new Object;
		oPar.fdoc = m_Doclabel;
		oPar.fnop = m_Nop;
		showWindow("l_rnnp.js", SW_NOMODAL, oPar);
	}
	if(nID == "RNNP_R")
	{
		var oPar = new Object;
		oPar.fdoc = this.m_Doclabel;
		oPar.fnop = this.m_Nop;		
		showWindow("l_rnnp_r.js", SW_NOMODAL, oPar);
	}
	if(nID=="J_NN")
	{
		var oPar = new Object();		
		oPar.JID = "NN";
		oPar.doc = this.m_Doclabel;
		oPar.bdat = DATB.value;
		oPar.edat = DATE.value;
		
		if(this.m_Nop && this.m_Nop != 0)
		{
			oPar.nop = this.m_Nop;
		}
		showWindow("l_journal.xml",SW_NOMODAL,oPar);
	}
	if(nID == "TUNE_RNNP")
	{
		var oPar = new Object;
		oPar.fdoc = m_Doclabel;
		oPar.fnop = m_Nop;
		showWindow("tune_rnnp.xml", SW_MODAL, oPar);
	}
	if(nID=="BPN")
	{
		var par = new Object();
		par.fdoc = m_Doclabel;
		par.fnop = m_Nop;
		showWindow("l_bpn.js", SW_NOMODAL, par);
	}
	if(nID=="SETNEWVIDP" || nID=="SETNEWVIDE")
	{
		WAIT(UR("Редагування документів . . . |Редактирование документов . . . "));
		var docList = grid.getSelectedIDs();
		var oDoc = new DpDoc(m_Doclabel, m_Nop);
		var sInd = (nID=="SETNEWVIDP"? "П" : "Е");
		for (var nDoc=0; nDoc<docList.length; nDoc++)
		{
			WAIT(UR("Редагування документів: |Редактирование документов: ")+ (nDoc+1) +"/"+ docList.length);
			var docID = docList[nDoc];
			if(!oDoc.loadByID(docID))
				continue;
			var sVid = oDoc.getVar("HVID_DOC");
			sVid = String(sVid).trim().toUpperCase();
			if(sVid=="ПН" || sVid=="РК")
				sVid += sInd;
			else if(sVid=="ПНУ")
				sVid = "ПН"+ sInd +"У";
			else if(sVid=="РКУ")
				sVid = "РК"+ sInd +"У";
			else if(sVid=="ВМД")
				sVid = "МД"+ sInd;
			else if(sVid=="ВДМУ" || sVid=="ВМДУ")
				sVid = "МД"+ sInd +"У";
			else
				continue;
			oDoc.setVar("HVID_DOC", sVid);
			oDoc.save();
			oDoc.clear();
		}
		tbl.requery();
		ds1.refresh();
		CLEARWAIT();
		alert("ГОТОВО!");
	}
}

function getOper_type(indx)
{	
	return aOper_type[indx];
}